Onward is requesting a reorder of products for the Order in your platform. In addition to replying with shop_order_id & shop_order_number you also need to send the order in the regular channel (POST /orders).
Security
api_key
- https://api.your-store.com/onwardhttps://api.your-store.com/onward/orders/{shopOrderId}/reorder
curl -i -X POST \
https://api.your-store.com/onward/orders/190102/reorder \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'X-API-Key: YOUR_API_KEY_HERE' \
-d '{
"onward_reorderable": {
"id": "356001",
"type": "Claim"
},
"line_items": [
{
"shop_line_item_id": "LI-1989",
"quantity_to_issue": 0
}
],
"customer": {
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"phone_number": "string"
},
"shipping_address": {
"address1": "123 Main St",
"address2": "Unit 50",
"province_code": "CA",
"city": "Los Angeles",
"postal_code": "90210",
"country_code": "US",
"phone_number": "+13105551234"
}
}'Response
{ "shop_order_id": "123456", "shop_order_number": "IN-94713" }